package org.objectweb.fractal.bf.connectors.upnp;

import java.util.HashSet;

import org.objectweb.fractal.api.control.IllegalLifeCycleException;
import org.objectweb.fractal.bf.connectors.upnp.param.ParamStubContent;
import org.ow2.binjiu.runtime.controlpoint.APIControlPoint;
import org.ow2.binjiu.runtime.controlpoint.GenericCyberlinkControlPointWrapper;

public class UPnPStubContent extends ParamStubContent implements UPnPStubContentAttributes {
	
	private GenericCyberlinkControlPointWrapper controlPoint;
	
	@Override
	protected Object resolveReference() throws Exception {
		
		HashSet<Class<?>> interfaces = new HashSet<Class<?>>();
		interfaces.add(this.getServiceClass());
				
		String type = getType();
		
		if (type.equals(UPnPConnectorConstants.NO_TYPE))
			type = getServiceClass().getSimpleName() + UPnPConnectorConstants.TYPE_SUFFIX;
		
		this.controlPoint = APIControlPoint.createUPnPControlPoint(type); 
	
		return APIControlPoint.createGenericStub(getServiceClass(), controlPoint);
		
	}
	
	@Override
	public void startFc() throws IllegalLifeCycleException {
		super.startFc();
		this.controlPoint.start();
	}
	
	@Override
	public void stopFc() {
		this.controlPoint.stop();
		
		super.stopFc();
	}
	
}
